<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetRefVars Method (IEdmBatchRefVars)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchRefVars Interface : SetRefVars Method (IEdmBatchRefVars)

Visual Basic
C#
C++/CLI

ppoVars
  Array of EdmRefVar structures; one structure for each reference variable whose value you want to update

Sets the values of the specified reference variables.

# Syntax

Visual Basic |
--- | ---

    Sub SetRefVars( _
       ByRef ppoVars() As EdmRefVar _
    )

C# |
--- | ---

    void SetRefVars(
       out EdmRefVar[] ppoVars
    )

C++/CLI |
--- | ---

    void SetRefVars(
    &   [Out] array<EdmRefVar>^ ppoVars
    )

#### Parameters

ppoVars
  Array of EdmRefVar structures; one structure for each reference variable whose value you want to update

# Example

See the IEdmBatchRefVars examples.

# Remarks

Call IEdmBatchRefVars::GetRefVars and IEdmBatchRefVars::GetAllRefVars to get the variable values.

The parent file must be checked out in order to update reference variables.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchRefVars Interface
IEdmBatchRefVars Members

# Availability

SOLIDWORKS PDM Professional 2010